package main

import (
    "slices"
    "os"
    "gitea.armuli.eu/museum-digital/museum-digital-webdav-uploader/src/cli"
)

// Attempts to connect to WebDAV server, verifying that the authentication data
// works and that the server is one for uploads with museum-digital.
// A museum-digital WebDAV directory can be identified by the availability of the
// directories IMPORT_IMG and IMPORT_XML.
// func verifyConnection(config MDWebDavUploaderConfig) bool {

// }

// Generates the contents of the file import_config.txt necessary
// to let museum-digital know about the required import configuration.
func generateImportConfigFile() { // string {

}


// Uploads metadata files to the configured instance of
// museum-digital / musdb.
func uploadMetadataFiles() {

}

// Uploads media files to the configured instance of
// museum-digital / musdb.
func uploadMediaFiles() {

}

func main() {

    if slices.Contains(os.Args, "--help") {
    } else if slices.Contains(os.Args, "--show-config") {
        cli.ShowCurrentConfig()
    } else if slices.Contains(os.Args, "--run-manual-setup") {
        cli.RunManualSetup()
    } else if slices.Contains(os.Args, "--set-additional-setting") {
        // cli.SetAdditionalSetting()
    } else if slices.Contains(os.Args, "--upload") {
        // upload()
    } else {
        cli.RunManualSetup()
    }

}
